Eclipse Platform Release 3.7

## org.eclipse.debug.ui
Interface ILaunchGroup

    public interface ILaunchGroup

A launch group identifies a group of launch configurations by a launch mode and category. The launch configuration dialog can be opened on a launch group, and a launch history is maintained for each group. A launch group is defined in plug-in XML via the `launchGroups` extension point.

Following is an example of a launch group contribution:

            <extension point="org.eclipse.debug.ui.launchGroups">
                    <launchGroup
                              id="com.example.ExampleLaunchGroupId"
                              mode="run"
                              label="Run"
                              image="icons\run.gif"
                    </launchGroup>
            </extension>

The debug platform defines constants for the identifiers of the launch groups provided by the debug platform:

- IDebugUIConstants.ID_DEBUG_LAUNCH_GROUP
- IDebugUIConstants.ID_RUN_LAUNCH_GROUP
- IDebugUIConstants.ID_PROFILE_LAUNCH_GROUP

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`ImageDescriptor` `getBannerImageDescriptor()` Returns the banner image for this launch group, or `null` if none
`String` `getCategory()` Returns the category for this launch group, possibly `null`
`String` `getIdentifier()` Returns the id for this launch group
`ImageDescriptor` `getImageDescriptor()` Returns the image for this launch group, or `null` if none.
`String` `getLabel()` Returns the label for this launch group
`String` `getMode()` Returns the mode for this launch group
`boolean` `isPublic()` Returns whether this launch group is public

Method Detail

### getImageDescriptor

    ImageDescriptor getImageDescriptor()

  Returns the image for this launch group, or `null` if none.

  Returns:
    the image for this launch group, or `null` if none

### getBannerImageDescriptor

    ImageDescriptor getBannerImageDescriptor()

  Returns the banner image for this launch group, or `null` if none

  Returns:
    the banner image for this launch group, or `null` if none

### getLabel

    String getLabel()

  Returns the label for this launch group

  Returns:
    the label for this launch group

### getIdentifier

    String getIdentifier()

  Returns the id for this launch group

  Returns:
    the id for this launch group

### getCategory

    String getCategory()

  Returns the category for this launch group, possibly `null`

  Returns:
    the category for this launch group, possibly `null`

### getMode

    String getMode()

  Returns the mode for this launch group

  Returns:
    the mode for this launch group

### isPublic

    boolean isPublic()

  Returns whether this launch group is public

  Returns:
    boolean

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.